%define _root_libdir    /%{_lib}

Summary: NFSv4 User and Group ID Mapping Library
Name: libnfsidmap
Version: 0.27
Release: 3%{?dist}
Provides: nfs-utils-lib
Obsoletes: nfs-utils-lib
URL: http://linux-nfs.org/wiki/index.php/Main_Page
License: BSD

Source0:  https://fedorapeople.org/~steved/%{name}/%{version}/%{name}-%{version}.tar.bz2

Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: pkgconfig, openldap-devel
BuildRequires: automake, libtool
Requires(postun): /sbin/ldconfig
Requires(pre): /sbin/ldconfig
Requires: openldap

Patch01: libnfsidmap-0.27-nssgssprinc.patch

%description
Library that handles mapping between names and ids for NFSv4.

%package devel
Summary: Development files for the libnfsidmap library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package includes header files and libraries necessary for
developing programs which use the libnfsidmap library.

%prep
%setup -q 

%patch01 -p1

%build
./autogen.sh
%configure --disable-static  --with-pluginpath=%{_root_libdir}/%name
make %{?_smp_mflags} all

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} \
    libdir=%{_root_libdir} pkgconfigdir=%{_libdir}/pkgconfig

mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_mandir}/man5

install -m 644 idmapd.conf %{buildroot}%{_sysconfdir}/idmapd.conf

# Delete unneeded libtool libs
rm -rf %{buildroot}%{_root_libdir}/*.{a,la}
rm -rf %{buildroot}%{_root_libdir}/%{name}/*.{a,la}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README COPYING
%config(noreplace) %{_sysconfdir}/idmapd.conf
%{_root_libdir}/*.so.*
%{_root_libdir}/%{name}
%{_root_libdir}/%{name}/*.so
%{_mandir}/*/*

%files devel
%defattr(0644,root,root,755)
%{_libdir}/pkgconfig/libnfsidmap.pc
%{_includedir}/nfsidmap.h
%{_root_libdir}/*.so

%changelog
* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.27-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.27-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Feb  8 2017 Steve Dickson <steved@redhat.com>  0.27-1
- Fixed stripping realm problem in nss_gss_princ routines (bz 1420357)

* Tue Jan 10 2017 Steve Dickson <steved@redhat.com>  0.27-0
- Updated to latest upstream release: libnfsidmap-0-27 (bz 1411863)

* Fri Sep  2 2016 Steve Dickson <steved@redhat.com>  0.26-4.rc4
- Make sure __res_querydomain is resolvable. (bz 1372136)

* Sat Aug 27 2016 Peter Robinson <pbrobinson@fedoraproject.org> 0.26-5.rc4
- Fix Releasee so build is newer than previous

* Fri Aug 26 2016 Steve Dickson <steved@redhat.com>  0.26-4.rc4
- Updated to latest rc release: libnfsidmap-0-27-rc4

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.26-4.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Sep  8 2015 Steve Dickson <steved@redhat.com>  0.26.3.2
- Updated to latest rc release: libnfsidmap-0-27-rc3

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.26-3.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Nov  4 2014  Steve Dickson <steved@redhat.com>  0.26.2.1
- Reverted a symbol map patch (bz 1159943)

* Tue Oct 28 2014  Steve Dickson <steved@redhat.com>  0.26.2.0
- Updated to latest rc release: libnfsidmap-0-27-rc2 (bz 1156484)

* Fri Oct 24 2014  Steve Dickson <steved@redhat.com>  0.26.1.1
- Took ownership of /usr/lib64/libnfsidmap (bz 909998)

* Thu Oct  9 2014  Steve Dickson <steved@redhat.com>  0.26.1.0
- Updated to latest rc release: libnfsidmap-0-27-rc1 

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.26-0.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Aug 13 2014  Steve Dickson <steved@redhat.com>  0.26.0.0
- Updated to latest upstream release: libnfsidmap-0-26 (bz1129855)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 30 2014  Steve Dickson <steved@redhat.com>  0.20-8
- Updated to latest rc release: libnfsidmap-0-26-rc3 (bz 1093148)

* Mon Aug 19 2013 Ville Skyttä <ville.skytta@iki.fi> - 0.25-7
- Updated to latest rc release: libnfsidmap-0-26-rc3

* Fri Jul 26 2013 Ville Skyttä <ville.skytta@iki.fi> - 0.25-6
- Drop unnecessary doc dir references from specfile.
- Fix bogus dates in %%changelog.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 19 2012 Steve Dickson <steved@redhat.com>  0.20-3
- Updated to latest rc release: libnfsidmap-0-26-rc1

* Mon Mar 19 2012 Steve Dickson <steved@redhat.com>  0.20-2
- Fixed Local-Realms debugging (bz 804152)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25-1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec  6 2011 Steve Dickson <steved@redhat.com>  0.20-0
- Updated to latest release: libnfsidmap-0.25

* Mon Nov 14 2011 Steve Dickson <steved@redhat.com>  0.24-7
- Updated to latest rc release: libnfsidmap-0-25-rc3 (bz 753930)

* Mon Mar  7 2011 Steve Dickson <steved@redhat.com>  0.24-6
- Updated to latest rc release: libnfsidmap-0-25-rc2

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.24-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 14 2011 Steve Dickson <steved@redhat.com>  0.24-4
- Updated to latest rc release: libnfsidmap-0-25-rc1

* Wed Dec 22 2010 Steve Dickson <steved@redhat.com>  0.24-3
- Used the newly added --with-pluginpath config flag to 
  redefine where the plugins live (bz 664641).

* Fri Dec 10 2010 Steve Dickson <steved@redhat.com>  0.24-2
- Removed the versions from the Provides: and Obsoletes: lines

* Wed Dec  8 2010 Steve Dickson <steved@redhat.com>  0.24-1
- Updated to latest upstream release: 0.24
- Obsoleted nfs-utils-lib

* Tue Dec  7 2010 Steve Dickson <steved@redhat.com>  0.23-3
- Maded corrections in spec per review comments.

* Fri Dec  3 2010 Steve Dickson <steved@redhat.com>  0.23-2
- Initial commit
